=== src/TKBRep/CMakeLists.txt ===
project(TKBRep)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
