=== src/TKBinTObj/CMakeLists.txt ===
project(TKBinTObj)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
