=== src/TKFeat/CMakeLists.txt ===
project(TKFeat)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
