=== src/TKG2d/CMakeLists.txt ===
project(TKG2d)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
