=== src/TKGeomBase/CMakeLists.txt ===
project(TKGeomBase)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
