=== src/TKIGES/CMakeLists.txt ===
project(TKIGES)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
