=== src/TKOpenGles/CMakeLists.txt ===
project(TKOpenGles)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
#add_definitions("-DOCCT_OPENGL")
