=== debian/changelog ===
opencascade (7.6.3+dfsg1-7.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:39:36 +0000

opencascade (7.6.3+dfsg1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062832

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 10:13:48 +0000

opencascade (7.6.3+dfsg1-7) unstable; urgency=medium

  * Update broken symlink /usr/bin/occt-draw to new version
     occt-draw-7.6" (Closes: #1036581)

 -- Tobias Frost <tobi@debian.org>  Tue, 23 May 2023 09:45:56 +0200

opencascade (7.6.3+dfsg1-6) unstable; urgency=medium

  * Let libocct-data-exchange-dev Conflicts: with liboce-modeling-
    dev, liboce-visualization-dev, to avoid unpack errors.
    (Closes: #1035009)
  * Fix lintian E: depends-on-obsolete-package, replacing
    libfreetype6-dev with libfreetype-dev and
    libgl1-mesa-dev with libgl-dev

 -- Tobias Frost <tobi@debian.org>  Sun, 14 May 2023 11:37:53 +0200

opencascade (7.6.3+dfsg1-5) unstable; urgency=medium

  * Add Breaks relation to occt-misc.
  * Replace B-Ds of transitional packages with their replacements.
  * Remove obsolete Replace/Breaks for old version 7.3.

 -- Tobias Frost <tobi@debian.org>  Thu, 20 Oct 2022 22:08:48 +0200

opencascade (7.6.3+dfsg1-4) unstable; urgency=medium

  * Move CMake modules to libocct-foundation-dev (Closes: #1021566).
  * Add dependency on occt-misc for libocct-visualization-7.6, as the library
    might use the resources.
  * Move cmake modules to multiarch path and use ${DEB_HOST_MULTIARCH} in the
    install files. (patch 0010-fix-cmake-module.patch)

 -- Tobias Frost <tobi@debian.org>  Thu, 20 Oct 2022 06:37:30 +0200

opencascade (7.6.3+dfsg1-3) unstable; urgency=medium

  * opencascade-draw: Move the -dev dependencies to the dev package.
    (Closes: #1017620)

 -- Tobias Frost <tobi@debian.org>  Sun, 28 Aug 2022 12:00:30 +0200

opencascade (7.6.3+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Frost <tobi@debian.org>  Tue, 02 Aug 2022 15:06:17 +0200

opencascade (7.6.3+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - Adapt d/occt-draw.install for new version.
  * Update debian/copyright years.
  * Remove no longer applied patch files from d/patches.

 -- Tobias Frost <tobi@debian.org>  Sun, 31 Jul 2022 15:50:43 +0200

opencascade (7.6.2+dfsg1-2) experimental; urgency=medium

  * Install new files, mostly headers, into the appropiate packages.

 -- Tobias Frost <tobi@debian.org>  Fri, 15 Jul 2022 11:56:52 +0200

opencascade (7.6.2+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Targeting experimental due to SONAME bump.
  * Refreshing patches, removing applied patches.
  * Updating d/*install files, as several internal headers
    are no longer exposed in the -dev packages.
  * d/changelog: Quote Adam Powell, IV's display name, so that
    the SNR with lintian is improved.
  * Update d/copyright.

 -- Tobias Frost <tobi@debian.org>  Wed, 29 Jun 2022 15:31:08 +0200

opencascade (7.5.2+dfsg1-3) UNRELEASED; urgency=medium

  * Revert "do not build with TBB on mips*" #1013753 has been fixed.

 -- Tobias Frost <tobi@debian.org>  Sun, 26 Jun 2022 16:44:31 +0200

opencascade (7.5.2+dfsg1-2) unstable; urgency=medium

  * Do not build with TBB on mips64/mips64el. See #1013753 for details.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 Jun 2022 16:50:30 +0200

opencascade (7.5.2+dfsg1-1) unstable; urgency=medium

  * [a006615] New upstream version 7.5.2+dfsg1
  * [b52e7f3] Update hardcoded versions to 7.5.2
  * [becf203] Add upstream TBB fix patch
  * [c47918a] Re-enable building with TBB

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 16 Jun 2022 12:41:43 -0500
